TypeScript
import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
domain: "{YOUR_DOMAIN}",
token: "<token>",
});
await client.organizations.clients.list("id", {
from: "from",
take: 1,
});
}
main();import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
domain: "{YOUR_DOMAIN}",
token: "<token>",
});
await client.organizations.clients.list("id", {
from: "from",
take: 1,
});
}
main();
package example
import (
context "context"
management "github.com/auth0/go-auth0/v3/management"
client "github.com/auth0/go-auth0/v3/management/client"
option "github.com/auth0/go-auth0/v3/management/option"
)
func do() {
mgmt, err := client.New(
"{YOUR_DOMAIN}",
option.WithToken(
"<token>",
),
)
if err != nil {
return
}
request := &management.ListOrganizationClientsRequestParameters{
From: management.String(
"from",
),
Take: management.Int(
1,
),
}
mgmt.Organizations.Clients.List(
context.TODO(),
"id",
request,
)
}
# Ensure you're logged in: auth0 login
auth0 api get "organizations/id/clients" --query "from=from" --query "take=1"using Auth0.ManagementApi;
using System.Threading.Tasks;
using Auth0.ManagementApi.Organizations;
public partial class Examples
{
public async Task Example() {
var client = new ManagementApiClient(
token: "<token>",
clientOptions: new ClientOptions { BaseUrl = "https://{YOUR_DOMAIN}/api/v2" }
);
await client.Organizations.Clients.ListAsync(
id: "id",
request: new ListOrganizationClientsRequestParameters {
From = "from",
Take = 1
}
);
}
}
package com.example.usage;
import com.auth0.client.mgmt.ManagementApi;
import com.auth0.client.mgmt.organizations.types.ListOrganizationClientsRequestParameters;
public class Example {
public static void main(String[] args) {
ManagementApi client = ManagementApi
.builder()
.domain("{YOUR_DOMAIN}")
.token("<token>")
.build();
client.organizations().clients().list(
"id",
ListOrganizationClientsRequestParameters
.builder()
.from("from")
.take(1)
.build()
);
}
}<?php
namespace Example;
use Auth0\SDK\API\Management\Wrapper\ManagementClient;
use Auth0\SDK\API\Management\Wrapper\ManagementClientOptions;
use Auth0\SDK\API\Management\Organizations\Clients\Requests\ListOrganizationClientsRequestParameters;
$client = new ManagementClient(new ManagementClientOptions(
domain: '{YOUR_DOMAIN}',
token: '<token>',
));
$client->organizations->clients->list(
'id',
new ListOrganizationClientsRequestParameters([
'from' => 'from',
'take' => 1,
]),
);
from auth0.management import ManagementClient
client = ManagementClient(
domain="{YOUR_DOMAIN}",
token="<token>",
)
client.organizations.clients.list(
id="id",
from_="from",
take=1,
)
require "auth0"
client = Auth0::Management.new(token: "<token>", base_url: "https://{YOUR_DOMAIN}/api/v2")
client.organizations.clients.list(
id: "id",
from: "from",
take: 1
)
curl --request GET \
--url https://{tenantDomain}/api/v2/organizations/{id}/clients \
--header 'Authorization: Bearer <token>'{
"clients": [
{
"client_id": "<string>",
"use_for_member_access": true,
"client": {
"name": "<string>",
"app_type": "<string>",
"logo_uri": "<string>",
"is_first_party": true,
"grant_types": [
"<string>"
],
"organization_usage": "deny"
}
}
],
"next": "<string>"
}{
"message": "<string>",
"statusCode": 400,
"error": "Bad Request"
}{
"message": "<string>",
"statusCode": 401,
"error": "Unauthorized"
}{
"message": "<string>",
"statusCode": 403,
"error": "Forbidden"
}{
"message": "<string>",
"statusCode": 404,
"error": "Not Found"
}{
"message": "<string>",
"statusCode": 429,
"error": "Too Many Requests"
}organizationのクライアント関連付けを一覧表示する
チェックポイントベースのページネーションを使用して、organizationに関連付けられているすべてのクライアントを一覧表示します。
注: このエンドポイントを初めて呼び出す際は、
fromパラメータを省略してください。さらに結果がある場合は、レスポンスにnext値が含まれます。これは後続のAPI呼び出しで使用できます。レスポンスにnextが含まれなくなった時点で、これ以上の結果はありません。
GET
https://{tenantDomain}/api/v2
/
organizations
/
{id}
/
clients
TypeScript
import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
domain: "{YOUR_DOMAIN}",
token: "<token>",
});
await client.organizations.clients.list("id", {
from: "from",
take: 1,
});
}
main();import { ManagementClient } from "auth0";
async function main() {
const client = new ManagementClient({
domain: "{YOUR_DOMAIN}",
token: "<token>",
});
await client.organizations.clients.list("id", {
from: "from",
take: 1,
});
}
main();
package example
import (
context "context"
management "github.com/auth0/go-auth0/v3/management"
client "github.com/auth0/go-auth0/v3/management/client"
option "github.com/auth0/go-auth0/v3/management/option"
)
func do() {
mgmt, err := client.New(
"{YOUR_DOMAIN}",
option.WithToken(
"<token>",
),
)
if err != nil {
return
}
request := &management.ListOrganizationClientsRequestParameters{
From: management.String(
"from",
),
Take: management.Int(
1,
),
}
mgmt.Organizations.Clients.List(
context.TODO(),
"id",
request,
)
}
# Ensure you're logged in: auth0 login
auth0 api get "organizations/id/clients" --query "from=from" --query "take=1"using Auth0.ManagementApi;
using System.Threading.Tasks;
using Auth0.ManagementApi.Organizations;
public partial class Examples
{
public async Task Example() {
var client = new ManagementApiClient(
token: "<token>",
clientOptions: new ClientOptions { BaseUrl = "https://{YOUR_DOMAIN}/api/v2" }
);
await client.Organizations.Clients.ListAsync(
id: "id",
request: new ListOrganizationClientsRequestParameters {
From = "from",
Take = 1
}
);
}
}
package com.example.usage;
import com.auth0.client.mgmt.ManagementApi;
import com.auth0.client.mgmt.organizations.types.ListOrganizationClientsRequestParameters;
public class Example {
public static void main(String[] args) {
ManagementApi client = ManagementApi
.builder()
.domain("{YOUR_DOMAIN}")
.token("<token>")
.build();
client.organizations().clients().list(
"id",
ListOrganizationClientsRequestParameters
.builder()
.from("from")
.take(1)
.build()
);
}
}<?php
namespace Example;
use Auth0\SDK\API\Management\Wrapper\ManagementClient;
use Auth0\SDK\API\Management\Wrapper\ManagementClientOptions;
use Auth0\SDK\API\Management\Organizations\Clients\Requests\ListOrganizationClientsRequestParameters;
$client = new ManagementClient(new ManagementClientOptions(
domain: '{YOUR_DOMAIN}',
token: '<token>',
));
$client->organizations->clients->list(
'id',
new ListOrganizationClientsRequestParameters([
'from' => 'from',
'take' => 1,
]),
);
from auth0.management import ManagementClient
client = ManagementClient(
domain="{YOUR_DOMAIN}",
token="<token>",
)
client.organizations.clients.list(
id="id",
from_="from",
take=1,
)
require "auth0"
client = Auth0::Management.new(token: "<token>", base_url: "https://{YOUR_DOMAIN}/api/v2")
client.organizations.clients.list(
id: "id",
from: "from",
take: 1
)
curl --request GET \
--url https://{tenantDomain}/api/v2/organizations/{id}/clients \
--header 'Authorization: Bearer <token>'{
"clients": [
{
"client_id": "<string>",
"use_for_member_access": true,
"client": {
"name": "<string>",
"app_type": "<string>",
"logo_uri": "<string>",
"is_first_party": true,
"grant_types": [
"<string>"
],
"organization_usage": "deny"
}
}
],
"next": "<string>"
}{
"message": "<string>",
"statusCode": 400,
"error": "Bad Request"
}{
"message": "<string>",
"statusCode": 401,
"error": "Unauthorized"
}{
"message": "<string>",
"statusCode": 403,
"error": "Forbidden"
}{
"message": "<string>",
"statusCode": 404,
"error": "Not Found"
}{
"message": "<string>",
"statusCode": 429,
"error": "Too Many Requests"
}承認
bearerAuthoAuth2ClientCredentials
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
パスパラメータ
organizationのID。
クエリパラメータ
選択開始位置となる任意の ID。
ページあたりの結果数。デフォルトは 50 です。最大値の 100 を超える値は 100 に制限されます。
必須範囲:
x >= 1